Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Radu Codrin Leterna
    @roccatgaming
    I only used eyaml encyption....
    Urka
    @Urkadurk
    Hello people :), I'm a newbie trying to use Terraform on Azure and Puppet for configuration management. I can't seem to find anything about Terraform installing/initializing a puppet-agent on a Windows VM during. Can anyone link some info on this?
    Renato Marinho
    @renatomarinho
    This message was deleted
    Renato Marinho
    @renatomarinho
    This message was deleted
    Suryatej Yaramada
    @yrsurya
    Hi
    2018-05-24 15:15:35 +0000 Puppet (warning): The function 'hiera' is deprecated in favor of using 'lookup'. See https://docs.puppet.com/puppet/5.5/reference/deprecated_language.html\n (file & line not available)
    any idea about this warning
    neb0t
    @neb0t
    yes. Hiera is not available for puppet 5+ ... Instead you need to use lookup function
    just another improvement for puppet :)
    matrixbot
    @matrixbot
    budamaguntateja Hello All
    budamaguntateja Any guide for installing and setting up puppet for my environment ?
    neb0t
    @neb0t
    @matrixbot hi, on the puppet.com there is self-explaining installation manual ...
    abhishek Reddy
    @Abhishek_Karra3_twitter

    can someone please guide with some references or example how to install a package only to a single node for the 20 nodes in a datacenter pointing to the same role using hiera fqdn.

    Thanks in advance.

    Raj Sekhar
    @raj2033
    Hi @all. I want looking for azure infrastructure automation using open source puppet. Can someone please guide me, where can i learn it from?
    lmagdanello
    @lmagdanello
    guy, someone can help me? i'm trying to download the puppet repository to my local machine, beacuse in my nodes [ master - agent ] i don't have ethernet acess, so I will transfer from my local machine to the nodes, but i can't find any .tar.gz of the repository
    someone has something like that? kind of a puppet.tar.gz or, i don't know, the entire repository local dowloaded
    Lioxor64
    @lioxor64

    Hello, my name is Liora and I am currently hunting open source projects for company NeuraLegion (www.neuralegion.com)
    We just launched a free annual subscription for open source projects for our AIAST tool NexPloit.

    If you are interested, please, reach us on opensource@neuralegion.com!

    Thank you for your time and consideration! If you have any questions, please do not hesitate to contact us!

    Best,

    Raven.S
    @RavenS88069568_twitter
    hii
    anyone on??
    Michael Smith
    @lasthemy_twitter
    This isn't really where Puppet interaction happens. You're more likely to get help going through one of the options at https://puppet.com/community, particularly Slack.
    Jian Zhu
    @zhujian0805
    Hi, does the firewall module support centos8?
    https://forge.puppet.com/puppetlabs/firewall
    matrixbot
    @matrixbot
    pmelse- Jian Zhu (Gitter): looking at the module, I'm thinking it supports nftables on centos
    matrixbot
    @matrixbot
    musicmatze Good morning everyone. If I'd like to ask absolute beginner questions on puppet, is this the channel for me?
    matrixbot
    @matrixbot
    pmelse- No idea, but ask away
    gopalsai
    @gopalsai

    Hey, need some help
    we are using Puppet 3.7.4 in our project….how feasible it is to upgrade it to latest stable version? I understand all the Services Versions of puppet modules are supposed to be upgraded as well if we upgrade the Puppet.

    I understand its not going to be easy….but is there some kind of guide for migration or something like that?

    I am beginning to learn puppet…

    we are using the following versions:
    facter (2.4.1)
    CFPropertyList (~> 2.2.6)
    hiera (1.3.4)
    json_pure
    hiera-eyaml (2.0.6)
    highline (>= 1.6.19)
    trollop (>= 2.0)
    highline (1.6.21)
    hitch (1.0.2)
    highline (>= 1.6.2)
    jmespath (1.0.2)
    multi_json (~> 1.0)
    json_pure (1.8.2)
    multi_json (1.11.0)
    puppet (3.7.4)
    facter (> 1.6, < 3)
    hiera (~> 1.0)
    json_pure

    matrixbot
    @matrixbot
    john The big jump will be from 3 to 4. There are some upgrade guides on the puppet site. I would start by testing it out on vagrant. You might have to find some version of the modules you are using that support 3/4 then when you are on 4 the move to 5/6 is a lot simpler.
    john There is a pretty comperhensive guide in the docs: https://puppet.com/docs/puppet/4.10/index.html
    john We setup a second puppet server that we could test against running v4. You can keep running the v3 clients for a while till you get the server side upgraded then update the clients using bolt.
    john All the config moves about but the puppetlabs puppet module has support for moving that in the bolt task.
    matrixbot
    @matrixbot
    mrkeen hi there!
    I'm having trouble getting my head around building modules
    mrkeen I need to build one for Prometheus and I prepared all the steps that were needed for manual installation and setup.